Bug 503910 - some binaries from /sbin are using libraries from /usr
some binaries from /sbin are using libraries from /usr
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: isdn4k-utils (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Ngo Than
Vladimir Benes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 06:37 EDT by Vladimir Benes
Modified: 2013-04-12 16:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 10:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2009-06-03 06:37:44 EDT
Description of problem:
/sbin/{divaload,divalog,divalogd,ipppd} files depend on libraries from /usr/lib.. 
This can cause problems when those binaries are executed prior mounting /usr if that is on different partition..
Those libs are libncurses.so.5 and libpcap.so.0.9.4

Version-Release number of selected component (if applicable):
isdn4k-utils-3.2-51.el5
libpcap-0.9.4-14.el5
ncurses-5.5-24.20060715
Comment 1 RHEL Product and Program Management 2009-06-04 10:19:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 John W. Lockhart 2009-06-04 13:39:28 EDT
There are several possible fixes for this, depending on the needed functionality.

- Move the /sbin/ files to /usr/sbin.  Should affect anything that calls the binaries (startup scripts?).
- Move the libraries to /lib{,64}.  Might affect a lot of different packages.
- Advise folks that these binaries only work when /usr is mounted.  I have no idea how many people create a separate /usr partition and might need isdn4k-utils to work when /usr is not mounted.

Radek Biba looked, and found that isdn has a start order of 9, and is active at runlevel 2 and upwards.  I believe that allows the choice of any of the above options, as requirements dictate.
Comment 3 Ngo Than 2009-06-05 06:30:30 EDT
Only following files divaload, divalog, divalogd, ipppd are affected and should be moved in /usr/sbin. Those files are used in startup scripts. We don't hardcode that path in our startup scripts, so i don't see probem by moving binaries in /usr/sbin.
Comment 4 Phil Knirsch 2009-06-05 06:40:35 EDT
Easy fix, granting Devel ACK.

Thanks & regards, Phil
Comment 10 errata-xmlrpc 2009-06-17 10:48:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1112.html

Note You need to log in before you can comment on or make changes to this bug.